﻿
namespace ChartWithTwoSeries
{
  using System;
  using System.Collections.Generic;
  using System.Collections.ObjectModel;
  using System.Linq;
  using System.Text;
  using System.Threading.Tasks;

  public class ChartViewModel : PropertyChangedNotifier
  {
    ObservableCollection<DataPoint> m_DataPointCollection;

    public ChartViewModel()
    {
      m_DataPointCollection = new ObservableCollection<DataPoint>();
    }

    public ObservableCollection<DataPoint> Data
    {
      get { return m_DataPointCollection; }
      set
      {
        if (m_DataPointCollection == value) return;
        m_DataPointCollection = value; OnPropertyChanged("Data"); 
      }
    }

  }
}
