﻿
namespace ChartWithTwoSeries
{
  using System;
  using System.Collections.Generic;
  using System.Linq;
  using System.Text;
  using System.Threading.Tasks;

  /// <summary>
  /// Storage class for x and y values of a data point.
  /// </summary>
  public class DataPoint : PropertyChangedNotifier
  {
    private double m_x;
    public double X
    {
      get { return m_x; }
      set { if (m_x == value) return; m_x = value; OnPropertyChanged("X"); }
    }

    private double m_y;
    public double Y
    {
      get { return m_y; }
      set { if (m_y == value) return; m_y = value; OnPropertyChanged("Y"); }
    }
  }
}
